<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<!-- ======= Header ======= -->
<header id="header" class="fixed-top">
    <div class="container d-flex align-items-center">

        <h1 class="logo mr-auto"><a th:ref="/" href="/"><img src="/assets/img/logo.png" alt="safety-car-logo"><span>Safety</span>Car</a>
        </h1>
        <nav class="nav-menu d-none d-lg-block">
            <ul>
                <li id="home-active"><a th:ref="/" href="/">Home</a></li>
                <li id="about-active"><a th:href="@{/about-us}" href="/about-us">About Us</a></li>
                <li id="offer-active"><a th:href="@{/offer}" href="/offer">Simulate Offer</a></li>
                <li id="policy-active"><a th:href="@{/policy}" href="/policy">Request Policy</a></li>
                <li id="requests-active" sec:authorize="isAuthenticated()"
                    th:if="${#authorization.expression('hasRole(''ADMIN'')')}"><a th:href="@{/requests}">Requests</a>
                </li>
                <li id="admin-active" sec:authorize="isAuthenticated()"
                    th:if="${#authorization.expression('hasRole(''FULLADMIN'')')}"><a th:href="@{/admins}">Admins</a>
                </li>
                <li id="contact-active"><a th:href="@{/contact}" href="contact.html">Contact</a></li>
                <li id="login-active" sec:authorize="!isAuthenticated()">
                    <a th:href="@{/login}" href="/login">Log in</a>
                </li>
                <li id="register-active" sec:authorize="!isAuthenticated()">
                    <a th:href="@{/register}" href="/register">Register</a>
                </li>
                <li id="profile-active" class="drop-down"><a th:href="@{/profile}" href=""
                                                             sec:authorize="isAuthenticated()">My Profile</a>
                    <ul>
                        <li><a th:href="@{/profile}" sec:authentication="name">My Profile</a></li>
                        <li><a th:href="@{/my-requests}" href="/my-requests">My Requests</a></li>
                        <li><a th:href="@{/profile/change-pass}" href="/profile/change-pass">Change password</a></li>
                        <li><a th:href="@{/logout}" href="/logout"> Log out</a></li>
                    </ul>
                </li>

            </ul>
        </nav><!-- .nav-menu -->
    </div>
</header><!-- End Header -->

</html>